clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::RelationSlab::Builder Class Reference

RelationSlab::Builder is a mutable container that can 'freeze' to RelationSlab. More...

`#include <Relation.h>`

## Public Member Functions
void | insert (const Relation &R)
| Adds a relation to the slab. More...
RelationSlab | build () &&
| Consumes the builder to finalize the slab. More...

## Detailed Description

RelationSlab::Builder is a mutable container that can 'freeze' to RelationSlab.

Definition at line 70 of file Relation.h.

## Member Function Documentation

## ◆ build()

RelationSlab clang::clangd::RelationSlab::Builder::build | ( |  | ) | &&

Consumes the builder to finalize the slab.

Definition at line 27 of file Relation.cpp.

## ◆ insert()

void clang::clangd::RelationSlab::Builder::insert | ( | const Relation & | R | ) |
| inline

Adds a relation to the slab.

Definition at line 73 of file Relation.h.

The documentation for this class was generated from the following files:

- Relation.h
- Relation.cpp